Categories:
  - Reading
License: GPL-3.0-only
WebSite: http://www.kiwix.org
SourceCode: https://github.com/kiwix/kiwix-android
IssueTracker: https://github.com/kiwix/kiwix-android/issues
Changelog: https://github.com/kiwix/kiwix-android/blob/HEAD/CHANGELOG

AutoName: Kiwix
Description: |-
    Kiwix lets you read Wikipedia and other websites without an Internet connection.
    It uses the highly compressed [http://www.openzim.org/ ZIM format] to store
    webpages for quick and easy reading.

    The app is a lightweight piece of software reading bigger files stored on your
    device or SD card: once it is installed, you can select which additional content
    you would like to download (Wikipedia, Wiktionary, TED talks, etc.) and be ready
    for when your internet connexion is bad (or need to be in airplane mode)!

    Note: Kiwix is also available on regular computers (Windows, Mac, Linux).

RepoType: git
Repo: https://github.com/kiwix/kiwix-android.git

Builds:
  - versionName: '1.96'
    versionCode: 26
    commit: android_v1.96
    subdir: android
    gradle:
      - yes
    rm:
      - ios
      - dvd
      - src/sugar
      - android/libs/*/*.so
    build:
      - cd ..
      - ./autogen.sh
      - ./configure --disable-staticbins --disable-manager --disable-server --disable-launcher
        --disable-indexer --disable-installer --disable-searcher --disable-reader
        --disable-components --enable-android --enable-compileall
      - pushd src/dependencies
      - make icudt49l.dat xz icu zimlib-1.2 zimlib-1.2/build/lib/libzim.so
      - popd
      - cd android
      - NDK_PATH=$$NDK$$ ./build-android-with-native.py --locales --toolchain --lzma
        --icu --zim --kiwix --strip

  - versionName: '1.97'
    versionCode: 27
    commit: android_v1.97
    subdir: android
    gradle:
      - yes
    rm:
      - ios
      - dvd
      - src/sugar
      - android/libs/*/*.so
    scandelete:
      - android/glassify
    build:
      - cd ..
      - ./autogen.sh
      - ./configure --disable-staticbins --disable-manager --disable-server --disable-launcher
        --disable-indexer --disable-installer --disable-searcher --disable-reader
        --disable-components --enable-android --enable-compileall
      - pushd src/dependencies
      - make icudt49l.dat xz icu zimlib-1.2 zimlib-1.2/build/lib/libzim.so xapian-core-1.2.3
      - popd
      - cd android
      - NDK_PATH=$$NDK$$ ./build-android-with-native.py --locales --toolchain --lzma
        --icu --zim --xapian --kiwix --strip

  - versionName: '2.1'
    versionCode: 45
    commit: android_v2.10
    subdir: android
    gradle:
      - yes
    rm:
      - ios
      - dvd
      - src/sugar
      - android/libs/*/*.so
    build:
      - cd ..
      - ./autogen.sh
      - ./configure --disable-staticbins --disable-manager --disable-server --disable-launcher
        --disable-indexer --disable-installer --disable-searcher --disable-reader
        --disable-components --enable-android --enable-compileall
      - pushd src/dependencies
      - make icudt56l.dat xz icu xapian-core-1.4.1 zimlib-1.4 zimlib-1.4/build/lib/libzim.so
      - popd
      - cd android
      - NDK_PATH=$$NDK$$ ./build-android-with-native.py --locales --toolchain --lzma
        --icu --zim --xapian --kiwix --strip
    ndk: r10e

  - versionName: '2.2'
    versionCode: 47
    commit: android_v2.20
    subdir: android
    gradle:
      - yes
    rm:
      - ios
      - dvd
      - src/sugar
      - android/libs/*/*.so
    build:
      - cd ..
      - ./autogen.sh
      - ./configure --disable-staticbins --disable-manager --disable-server --disable-launcher
        --disable-indexer --disable-installer --disable-searcher --disable-reader
        --disable-components --enable-android --enable-compileall
      - pushd src/dependencies
      - make icudt56l.dat xz icu xapian-core-1.4.2 zimlib-1.4 zimlib-1.4/build/lib/libzim.so
      - popd
      - cd android
      - NDK_PATH=$$NDK$$ ./build-android-with-native.py --locales --toolchain --lzma
        --icu --zim --xapian --kiwix --strip
    ndk: r10e

  - versionName: '2.4'
    versionCode: 55
    commit: '2.4'
    subdir: app
    gradle:
      - yes
    output: build/outputs/apk/kiwix/release/app-kiwix-release-unsigned.apk

  - versionName: 2.5.1
    versionCode: 220501
    commit: 2.5.1
    subdir: app
    gradle:
      - yes
    output: build/outputs/apk/kiwix/release/dev-kiwix-universal-release-unsigned.apk
    rm:
      - app/gradle

MaintainerNotes: |-
    For 2.2 and older repo: https://github.com/kiwix/kiwix-xulrunner
    Don't run `make android-deps` as that will download the SDK and NDK.
    As of 2.5.1 version is scripted.

AutoUpdateMode: None
UpdateCheckMode: Tags
CurrentVersion: 2.5.1
CurrentVersionCode: 220501
